Debian Bug report logs - #588646
cdrom-detect: fails on isohybrid images

version graph

Package: cdrom-detect; Maintainer for cdrom-detect is Debian Install System Team <debian-boot@lists.debian.org>; Source for cdrom-detect is src:cdrom-detect.

Reported by: daniel@debian.org

Date: Sat, 10 Jul 2010 18:12:01 UTC

Severity: normal

Fixed in version cdrom-detect/1.33

Done: Daniel Baumann <daniel@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#588646; Package cdrom-detect. (Sat, 10 Jul 2010 18:12:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel@debian.org:
New Bug report received and forwarded. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Sat, 10 Jul 2010 18:12:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: cdrom-detect: fails on isohybrid images
Date: Sat, 10 Jul 2010 20:09:54 +0200
Package: cdrom-detect
Severity: normal
Tag: patch

Hi,

isohybrid images when written to a block device result in having one
partition (e.g. /dev/sdb1) with the filesystem iso9660.

when using cdrom-detect with cdrom-detect/try-usb=true, it
unconditionally tries to mount /dev/sdb1 with vfat, which naturally fails.

here's the diff against trunk that i've verified to work and which fixes
this by also trying to mount the partition with iso9660.

---snip---
Index: cdrom-detect.postinst
===================================================================
--- cdrom-detect.postinst       (revision 63719)
+++ cdrom-detect.postinst       (working copy)
@@ -63,6 +63,9 @@
                        if try_mount $device vfat; then
                                break 2
                        fi
+                       if try_mount $device iso9660; then
+                               break 2
+                       fi
                done
        fi
---snap---


If you agree, I'd like to commit it.

Regards,
Daniel

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@panthera-systems.net
Internet:       http://people.panthera-systems.net/~daniel-baumann/




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#588646; Package cdrom-detect. (Sat, 10 Jul 2010 18:51:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Otavio Salvador <otavio@ossystems.com.br>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Sat, 10 Jul 2010 18:51:04 GMT) Full text and rfc822 format available.

Message #10 received at 588646@bugs.debian.org (full text, mbox):

From: Otavio Salvador <otavio@ossystems.com.br>
To: daniel@debian.org, 588646@bugs.debian.org
Subject: Re: Bug#588646: cdrom-detect: fails on isohybrid images
Date: Sat, 10 Jul 2010 15:48:11 -0300
Hello Daniel,

On Sat, Jul 10, 2010 at 3:09 PM, Daniel Baumann <daniel@debian.org> wrote:
> here's the diff against trunk that i've verified to work and which fixes
> this by also trying to mount the partition with iso9660.
...
> If you agree, I'd like to commit it.

Yes, this looks fine.

Please commit it.

-- 
Otavio Salvador                  O.S. Systems
E-mail: otavio@ossystems.com.br  http://www.ossystems.com.br
Mobile: +55 53 9981-7854         http://projetos.ossystems.com.br




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#588646; Package cdrom-detect. (Sat, 10 Jul 2010 19:03:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel@debian.org:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Sat, 10 Jul 2010 19:03:05 GMT) Full text and rfc822 format available.

Message #15 received at 588646@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: Otavio Salvador <otavio@ossystems.com.br>
Cc: 588646@bugs.debian.org
Subject: Re: Bug#588646: cdrom-detect: fails on isohybrid images
Date: Sat, 10 Jul 2010 20:58:01 +0200
tag 588646 pending
thanks

On 07/10/2010 08:48 PM, Otavio Salvador wrote:
> Please commit it.

done, thanks.

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@panthera-systems.net
Internet:       http://people.panthera-systems.net/~daniel-baumann/




Added tag(s) pending. Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Sat, 10 Jul 2010 19:03:06 GMT) Full text and rfc822 format available.

Reply sent to Daniel Baumann <daniel@debian.org>:
You have taken responsibility. (Sat, 10 Jul 2010 19:51:09 GMT) Full text and rfc822 format available.

Notification sent to daniel@debian.org:
Bug acknowledged by developer. (Sat, 10 Jul 2010 19:51:09 GMT) Full text and rfc822 format available.

Message #22 received at 588646-close@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 588646-close@bugs.debian.org
Subject: Bug#588646: fixed in cdrom-detect 1.33
Date: Sat, 10 Jul 2010 19:47:12 +0000
Source: cdrom-detect
Source-Version: 1.33

We believe that the bug you reported is fixed in the latest version of
cdrom-detect, which is due to be installed in the Debian FTP archive:

cdrom-detect_1.33.dsc
  to main/c/cdrom-detect/cdrom-detect_1.33.dsc
cdrom-detect_1.33.tar.gz
  to main/c/cdrom-detect/cdrom-detect_1.33.tar.gz
cdrom-detect_1.33_all.udeb
  to main/c/cdrom-detect/cdrom-detect_1.33_all.udeb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 588646@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Baumann <daniel@debian.org> (supplier of updated cdrom-detect package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 10 Jul 2010 21:21:11 +0200
Source: cdrom-detect
Binary: cdrom-detect
Architecture: source all
Version: 1.33
Distribution: unstable
Urgency: low
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Changed-By: Daniel Baumann <daniel@debian.org>
Description: 
 cdrom-detect - Detect CDROM devices and mount the CD (udeb)
Closes: 243857 588646
Changes: 
 cdrom-detect (1.33) unstable; urgency=low
 .
   [ Frans Pop ]
   * Port patch from Ubuntu to check that a CD is a valid installation CD.
     If not, proceed to check other devices. Closes: #243857.
 .
   [ Daniel Baumann ]
   * When mounting usb partitions, also try iso9660 for isohybrid image support.
     Closes: #588646.
 .
   [ Updated translations ]
   * Amharic (am.po) by Tegegne Tefera
   * Asturian (ast.po) by astur
   * Belarusian (be.po) by Viktar Siarheichyk
   * Bengali (bn.po) by Israt Jahan
   * Danish (da.po) by Jacob Sparre Andersen
   * German (de.po) by Holger Wansing
   * Persian (fa.po) by acathur
   * French (fr.po) by Christian Perrier
   * Galician (gl.po) by Marce Villarino
   * Khmer (km.po) by Khoem Sokhem
   * Korean (ko.po) by Changwoo Ryu
   * Kurdish (ku.po) by Erdal Ronahi
   * Lithuanian (lt.po) by Kęstutis Biliūnas
   * Latvian (lv.po) by Aigars Mahinovs
   * Macedonian (mk.po) by Arangel Angov
   * Norwegian Nynorsk (nn.po) by Eirik U. Birkeland
   * Romanian (ro.po) by ioan-eugen stan
   * Slovenian (sl.po) by Vanja Cvelbar
   * Tamil (ta.po) by Dr,T,Vasudevan
   * Simplified Chinese (zh_CN.po) by 苏运强
Checksums-Sha1: 
 e730b36b06e6848fe96b69a6d780bef1cfd6b5f2 924 cdrom-detect_1.33.dsc
 acea90c9e0030c37eb153a362a8c2b8102711de6 110554 cdrom-detect_1.33.tar.gz
 d5d658df98c76a47c14310b7a5fde322042b1639 89514 cdrom-detect_1.33_all.udeb
Checksums-Sha256: 
 e96d6e02a82d00ff0d19df85905d9abfd96fee82fe099d066717dcf19da02119 924 cdrom-detect_1.33.dsc
 2a3fd791ac0435951a6dc58c5186bc0fc4f99a900032af17bfca8934f9ec9171 110554 cdrom-detect_1.33.tar.gz
 74d7cb7b4fc3cd693b877610a2b2ecbf1e2da8553149e002270ae2cf19f4628f 89514 cdrom-detect_1.33_all.udeb
Files: 
 63342dffe79393aa36f66bdc83ced028 924 debian-installer optional cdrom-detect_1.33.dsc
 d20ca98e69dbf4eda7ad34046d8557d2 110554 debian-installer optional cdrom-detect_1.33.tar.gz
 fb6aeccb773d3b27d99150f2388cc15b 89514 debian-installer optional cdrom-detect_1.33_all.udeb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkw4yPwACgkQ+C5cwEsrK54LqgCeK8pWRYSaz3MVmUyZFzVD3Qnm
qycAn1SmTQhnffodpde1Slq/3j02y9Qp
=Pgj7
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 14 Aug 2010 07:35:18 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 00:57:11 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.